//==============================================================================
// aq_class_basefile.h
//
// 
// 21 May 2001 Version 1.0
//
// This small class adds filename and filetype saving and retrieval to files
//
//==============================================================================


#if !defined(AQ_CLASSBASEFILE)
#define      AQ_CLASSBASEFILE

#include "aq_typdef_header.h"


class basefile
{
    string fileName;
    string fileType;

public:    
    basefile(cstring name, cstring type) : fileName(name), fileType(type) {}

    cstring& GetFileName()
    {
	return fileName;
    }

    cstring& GetFileType()
    {
	return fileType;
    }

    virtual ~basefile() { }
};

#endif
