//==============================================================================
// aq_class_nevilleinterpolater_2.h
//
// 
// 31 Dec 2001 Version 1.0
//
// Description:
// 	Implement Neville's recursive interpolater with a cumulative list.
//	See  "aq_class_nevilleinterpolater.h" for more details.
//
// Note: 
// 	requires aq_class_nevilleinterpolater.h
//
//==============================================================================


#if !defined(AQ_CLASS_NEVILLEINTERP_2)
#define      AQ_CLASS_NEVILLEINTERP_2

#include "aq_class_nevilleinterpolater.h"



class nevilleinterpolater_2
{
     nevilleinterpolater nev;
     dblplist xylist;

public:
     nevilleinterpolater_2( );

     nevilleinterpolater_2&  addtolist( double x, double y );
     void   clearlist();
     size_t listsize() const;
     double interpolate( double x) const;
};

#endif

