//==============================================================================
// aq_proc_formatconvert_x.h
//
// 
// 06 Jun 2001 Version 1.0
// 22 Mar 2006 Version 1.1 - add hexprint debug
//
// machine-dependent conversions between byte-string and internal format
//
//==============================================================================

#if !defined(AQ_PROC_FORMATCONVERT)
#define      AQ_PROC_FORMATCONVERT

#include <stddef.h>

int FormatConvert_schar( const char* ptr );


unsigned short  FormatConvert_ushort2( const char* ptr );
unsigned long   FormatConvert_ulong4(  const char* ptr );

short   FormatConvert_short2( char a, char b );
short   FormatConvert_short2( const char* ptr );
long    FormatConvert_long4(  const char* ptr );
float   FormatConvert_float4( const char* ptr );
double  FormatConvert_float6( const char* ptr );
double  FormatConvert_float8( const char* ptr );

void FormatConvert_short2(  short  v, char* ptr );
void FormatConvert_long4(   size_t v, char* ptr );
void FormatConvert_float4(  float  v, char* ptr );
void FormatConvert_float8(  double v, char* ptr );


void printhex( void* t,  size_t siz);
void printhex( const void* t,  size_t siz);

#endif
