//==============================================================================
// mathlib_proc_UnitVector.c
//
// 14 Feb 2001 Version 1.0
//
// compute unit vector
//
//==============================================================================

#include <assert.h>
#include "mathlib_proc_Magnitude.h"
#include "mathlib_proc_UnitVector.h"

matrix UnitVector( const matrix& v )
{
    assert( v.colsize() == 1);
    return v/Magnitude(v);
}
