//------------------------------------------------------------------------------
// orbitlib_proc_ConvertJ2000ToMean.h
//
//      29 Oct 2002 Version 1.0
//
// Convert inertial coordinates to mean of date.  See "Goddard Trajectory 
// Determination System", Mathematical Theory Revision 1, July 1989, 
// section 3.3.1.1, J2000.0 Inertial to Mean of Date.
//
// Note:
//	Reference epoch defaults to 2451545.0 = January 1.5, 2000.
//	Resultant matrix rotates coordinates from ref_epoch to to data_epoch.
//
// NOT CURRENTLY USED
//------------------------------------------------------------------------------

#if !defined(MATHLIB_PROC_CONVERTJ2000TOMEAN)
#define      MATHLIB_PROC_CONVERTJ2000TOMEAN

#include "mathlib_class_Matrix.h"
matrix convertJ2000ToMean( double data_epochJD, double ref_epochJD = 2451545.0);

#endif

