//=============================================================================
// orbitlib_proc_InertialToOrbitalMtx.h
//
// 25 Oct 2001 Version 1.0
//
// purpose:
//	From a position and velocity vector in Inertal coordinates, compute 
//	rotation matrix to Orbital Coordinates.
//
// Note:  
//     y is negative orbit normal or -h (momentum vector) 	- yaw
//     z is toward Earth center					- pitch
//     x is y x z  which is in direction of spacecraft velocity	- roll
//
//===========================================================================


#if !defined(ORBITLIB_PROC_INERTIALTOORBITALMTX)
#define      ORBITLIB_PROC_INERTIALTOORBITALMTX

#include "aq_typdef_header.h"
#include "mathlib_class_Matrix.h"


matrix InertialToOrbitalMtx( carray& pos, carray& vel );

#endif

