//==============================================================================
// aq_class_attitudesubheader.h
//
// 
// 18 May 2001 Version 1.0
//
// Purpose:
//     This class defines portion of SDP Header Standard Sructure specific to 
//     the ephemeris header.
//
// Note:
//	See SDP Toolkit 333-CD-600-001 Appendix L, Ephemeris and Attitude File
//	Formats.
//
//==============================================================================

#if !defined( AQ_CLASS_ATTITUDESUBHEADER)
#define       AQ_CLASS_ATTITUDESUBHEADER

#include "aq_typdef_header.h"
#include "aq_class_storebase.h"


class attitudesubheader : public storebase
{
public:
    attitudesubheader();
    attitudesubheader& AngleOrder( uint r1, uint r2, uint r3 );

    vector<uint>  AngleOrder()   const;
    vector<float> qaParameters() const;
    vector<float> qaStatistics() const;
};
#endif

