//==============================================================================
// aq_class_storebase.h
//
// 
// 17 May 2001 Version 1.0
//
// This is intended as a base class providing storage for packets and records
//
//==============================================================================

#if !defined( AQ_CLASS_STOREBASE)
#define       AQ_CLASS_STOREBASE

#include "aq_typdef_header.h"


//------------------------------------------------------------------------------
// storebase
//
//------------------------------------------------------------------------------

class storebase
{
    char*  dataPtr;
    size_t size;
    mutable int  usecnt;

public:

    storebase( size_t _size = 0);
    storebase( const storebase& base);

    char*  DataPtr()  const;
    size_t DataSize() const;
    void   Clear( int v=0 );

    void lock() const;
    void unlock() const;
    int  getlock() const;

    storebase& operator=( const storebase& base);

    virtual ~storebase();
};

#endif
