#!/usr/bin/tclsh
#==============================================================================
# hdrclassdump- 
#
# 
# 17 Jan 2002 Version 1.0
#
# print header class synopsis
#
#==============================================================================

#------------------------------------------------------------------------------
# Directories to search for header files
#
#------------------------------------------------------------------------------
set  dirlist ". ./orbitlib ./mathlib ./timelib ./constlib"



puts "\n---hdrdump--- [exec date]"


set pairlist {}
foreach dir $dirlist {

    set cdir [pwd]
    cd $dir
    set filelist [glob -nocomplain *_class*.h]

    foreach filename $filelist {
        lappend pairlist [list $dir $filename]
    }

    cd $cdir
}

set namelist [lsort -index 1 $pairlist]
set sortlist [lsort -index 0 $namelist]
set last {}

foreach item $sortlist {

    set dir  [lindex $item 0]
    set name [lindex $item 1]
    set file [open "$dir/$name" r]

    set part  1
    set edge  0

    while { [gets $file line] >=0} {

	if {$part==1} {

	    if { [string first "//=" $line ] > -1 } {incr edge}
	    if { $edge == 2 } { set part 2}

	    if { [string first "Hoisington" $line"] == -1 } {
	        if { [string first "Version" $line] == -1 }  {puts $line}
	    }

	    if { $edge == 2 } { puts "\n"}
        }

	if {$part==2} {
	    if { [string first "#include" $line] > -1 } {
		puts $line
	    } else {
		if { [string first "class"  $line] > -1 } {set part 3; puts "\n$line\n"}
		if { [string first "struct" $line] > -1 } {set part 3; puts "\n$line\n"}
	    }
        }

	if {$part==3} {
	    if { [string first "public:" $line] > -1 } {set part 4}
	}

	if {$part==4} {
	    if { [string first "\};" $line] > -1 } {set part 5} else {puts $line}
	}
    }

    puts  "\n//page"
    close $file

    return
}








