//==============================================================================
// mathlib_proc_CrossProduct.h
//
// 17 Aug 2000 Version 1.0
//
// Compute the determinant of a square matrix.  
//
// See "Spacecraft Attitude Determination and Control", James Wertz, Appendix C. 
//
//==============================================================================

#if !defined(MATHLIB_CROSSPRODUCT)
#define      MATHLIB_CROSSPRODUCT

#include "mathlib_class_Matrix.h"

matrix CrossProduct( const matrix& U, const matrix& V);

#endif
